import { Box3, Camera, Plane, Vector2 } from 'three';
import { Measurement } from './Measurement';
export declare class PointToPointMeasurement extends Measurement {
    private startGizmo;
    private endGizmo;
    set isVisible(value: boolean);
    constructor();
    frameUpdate(camera: Camera, size: Vector2, bounds: Box3): void;
    update(): void;
    raycast(raycaster: any, intersects: any): void;
    highlight(value: boolean): void;
    updateClippingPlanes(planes: Plane[]): void;
}
